%
% Rutina que resuelve el sistema dinamico masa-resorte-amortiguador
% lineal de un solo grado de libertad
%

global parameters

% ingreso de datos
caso = 1;  % masa resorte amortiguador 1 dof
caso = 2;  % masa resorte amortiguador 2 dofs
datos

% pack el arreglo con los parametros
M = [];C=[];K=[];X=[];V=[];F=[];
for k=1:Ndof
   eval(['M = [M;m' num2str(k) '];']);
   eval(['C = [C;c' num2str(k) '];']);
   eval(['K = [K;k' num2str(k) '];']);
   eval(['F = [F;f' num2str(k) '];']);   
   eval(['X = [X;x' num2str(k) '];']);
   eval(['V = [V;v' num2str(k) '];']);
end   
parameters = [M,C,K,F,X,V];

% estado inicial
U0 = reshape([X';V'],2*Ndof,1);

% solver ODE
[t,U]=ode23(filename,Tspan,U0);

% graficacin de resultados
plot_results(t,U,caso,[filename '_anal']);