function [x,v]=Ej_1_anal(t)
%
%     [x,v] = Ej_1_anal(t)
%

global parameters

[nr,nc]=size(parameters);
if nr~=1, error(' Solo para 1 grado de libertad');end
if nc~=6, error(' parameters debe tener 6 columnas');end

m = parameters(:,1);
c = parameters(:,2);
k = parameters(:,3);
f = parameters(:,4);
x0 = parameters(:,5);
v0 = parameters(:,6);

if sum(f)~=0, error('solucion analitica solo para el caso F = 0'); end

lambda_1 = -c/(2*m)+sqrt((c/(2*m))^2-k/m);
lambda_2 = -c/(2*m)-sqrt((c/(2*m))^2-k/m);
A = [1,1;lambda_1,lambda_2];
rhs = [x0;v0];
coe=A\rhs;
x = coe(1)*exp(lambda_1*t)+coe(2)*exp(lambda_2*t);
v = coe(1)*lambda_1*exp(lambda_1*t)+coe(2)*lambda_2*exp(lambda_2*t);
