function [lmin,lmax] = hele(xnod,icone)
%
%         [lmin,lmax] = hele(xnod,icone)
%
% Calcula el tamanio de cada elemento [lmin,lmax]_ele
%

dx1 = abs(xnod(icone(:,2),1)-xnod(icone(:,1),1));
dx2 = abs(xnod(icone(:,3),1)-xnod(icone(:,2),1));
dx3 = abs(xnod(icone(:,4),1)-xnod(icone(:,3),1));
dx4 = abs(xnod(icone(:,1),1)-xnod(icone(:,4),1));

dy1 = abs(xnod(icone(:,2),2)-xnod(icone(:,1),2));
dy2 = abs(xnod(icone(:,3),2)-xnod(icone(:,2),2));
dy3 = abs(xnod(icone(:,4),2)-xnod(icone(:,3),2));
dy4 = abs(xnod(icone(:,1),2)-xnod(icone(:,4),2));

l1 = sqrt(dx1.^2+dy1.^2);
l2 = sqrt(dx2.^2+dy2.^2);
l3 = sqrt(dx3.^2+dy3.^2);
l4 = sqrt(dx4.^2+dy4.^2);

lmax = max([l1';l2';l3';l4']);
lmin = min([l1';l2';l3';l4']);